Main Page Class Hierarchy Compound List File List Compound Members Related Pages

# sc::R12IntEval Class Reference

Class R12IntEval is the top-level R12 intermediate evaluator. More...

`#include <vxb_eval.h>`

Inheritance diagram for sc::R12IntEval:

[legend]
Collaboration diagram for sc::R12IntEval:

[legend]
List of all members.

## Public Methods

| R12IntEval (StateIn &)
| R12IntEval (MBPT2_R12 *)
| ~R12IntEval ()
void | save_data_state (StateOut &)
| Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them. More...
void | obsolete ()
| Makes the evaluator obsolete, the next call to compute() will cause the intermediates to be recomputed.
void | set_stdapprox (LinearR12::StandardApproximation stdapprox)
void | set_spinadapted (bool spinadapted)
void | set_debug (int debug)
void | set_dynamic (bool dynamic)
void | set_memory (size_t nbytes)
Ref< R12IntEvalInfo > | r12info () const
RefSCDimension | dim_aa () const
RefSCDimension | dim_ab () const
RefSCDimension | dim_s () const
RefSCDimension | dim_t () const
RefSCMatrix | V_aa ()
RefSCMatrix | X_aa ()
RefSCMatrix | B_aa ()
RefSCMatrix | V_ab ()
RefSCMatrix | X_ab ()
RefSCMatrix | B_ab ()
RefSCVector | emp2_aa ()
RefSCVector | emp2_ab ()
void | compute ()
RefDiagSCMatrix | evals () const

## Detailed Description

Class R12IntEval is the top-level R12 intermediate evaluator.

## Member Function Documentation

void sc::R12IntEval::save_data_state | ( | StateOut & |  | ) | `[virtual]`

| Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them. This must be implemented by the derived class if the class has data. Reimplemented from sc::SavableState.

The documentation for this class was generated from the following file:

- vxb_eval.h